Package org.gradle.tooling.model.eclipse

## Interface EclipseBuildCommand

-     public interface EclipseBuildCommand

  An Eclipse build command is a reference to a project builder object which automatically executes whenever a resource in the associate project changes.
  Since:
    2.9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getArguments()` | The arguments supplied for the build command.
    `String` | `getName()` | Returns the name of the build command.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the build command.

      Corresponds to the `org.eclipse.core.resources.ICommand#getBuilderName()` method in the Eclipse platform API.

      Returns:
        The name of the build command. Does not return null.
      See Also:
        Definition of ICommand#getBuilderName() in the Eclipse documentation

    - #### getArguments

          Map<String,​String> getArguments()

      The arguments supplied for the build command.

      Corresponds to the `org.eclipse.core.resources.ICommand#getBuilderName()` method in the Eclipse platform API.

      Returns:
        The arguments map. If no arguments supplied then returns an empty map.
      See Also:
        Definition of ICommand#getArguments() in the Eclipse documentation